Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.openpgp
Class PGPSelfCertificateParameterBuilder

    java.lang.Object
      cryptix.openpgp.PGPAbstractSignatureParameterBuilder
          cryptix.openpgp.PGPSelfCertificateParameterBuilder

public class PGPSelfCertificateParameterBuilder
extends PGPAbstractSignatureParameterBuilder

Parameters for a PGP Self Certificate

Version:
  $Revision: 1.3 $
Author:
  Edwin Woudt

Constructor Summary
`PGPSelfCertificateParameterBuilder(java.security.Key issuerkey)`
`PGPSelfCertificateParameterBuilder(KeyID issuerkeyid)`

Method Summary
`void` | `setExpirationDate(java.util.Date expiration)`
`void` | `setKeyExpirationDate(java.util.Date expiration)`
`void` | `setKeyFlags(boolean certification, boolean signdata, boolean encryptcommunication, boolean encryptstorage)`
`void` | `setKeyServerPreferences(boolean nomodify)`
`void` | `setPreferredCompressionAlgorithms(byte[] preferences)`
`void` | `setPreferredHashAlgorithms(byte[] preferences)`
`void` | `setPreferredKeyServer(java.lang.String url)`
`void` | `setPreferredSymmetricAlgorithms(byte[] preferences)`
`void` | `setPrimaryUserID(boolean primaryuserid)`
`void` | `setRevocable(boolean revocable)`

Methods inherited from class cryptix.openpgp.PGPAbstractSignatureParameterBuilder
`addPacket, addUnhashedPacket, build, removePacket, removeUnhashedPacket, setCreationDate, setIssuerKeyID, setPacket, setSignatureType, setUnhashedPacket, updateCreationDate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PGPSelfCertificateParameterBuilder

    public PGPSelfCertificateParameterBuilder(KeyID issuerkeyid)

### PGPSelfCertificateParameterBuilder

    public PGPSelfCertificateParameterBuilder(java.security.Key issuerkey)
                                       throws java.security.InvalidKeyException

Method Detail

### setExpirationDate

    public void setExpirationDate(java.util.Date expiration)

### setKeyExpirationDate

    public void setKeyExpirationDate(java.util.Date expiration)

### setRevocable

    public void setRevocable(boolean revocable)

### setPreferredSymmetricAlgorithms

    public void setPreferredSymmetricAlgorithms(byte[] preferences)

### setPreferredHashAlgorithms

    public void setPreferredHashAlgorithms(byte[] preferences)

### setPreferredCompressionAlgorithms

    public void setPreferredCompressionAlgorithms(byte[] preferences)

### setKeyServerPreferences

    public void setKeyServerPreferences(boolean nomodify)

### setPreferredKeyServer

    public void setPreferredKeyServer(java.lang.String url)

### setPrimaryUserID

    public void setPrimaryUserID(boolean primaryuserid)

### setKeyFlags

    public void setKeyFlags(boolean certification,
                            boolean signdata,
                            boolean encryptcommunication,
                            boolean encryptstorage)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.